Subject: [CCAMP] Moving forward in Flexigrid

From: Oscar González de Dios <[email-masked]>
Date: Tue, 10 Apr 2012 18:42:24 +0200

Dear ccampers,

                As anticipated by Giovanni, we had a meeting among the authors of the different drafts related to Flexible grids. The flexi-grid meeting was held on March Thursday 29th next to the registration desk (I think someone took a photo ☺) and we started to get a common understanding. The presence of Eve, sharing the ITU-T vision and showing to everybody the draft documents of flexi-grid was key to get this common initial understanding and agree on the basic terminology. Later by mail, Malcom also helped to further clarify the doubts. In this mail, I show a summary of the main results of the discussions so far (both in the flexi-grid meeting and later mails), and add the thread of private mails after for completeness.  We are starting on the framework, to show clearly what do we need to control in the Flexi-grid control plane. We agreed on starting on considering only the ITU-T data plane issues that, although are not included in final documents, are in drafts that have good consensus and are moving forward. Other data plane issues to be controlled should be taken first to ITU-T, and then will be considered again in the control plane.  We will start with separate framework and requirements documents.

Terminology and definitions:

è ITU-T is defining the so called “frequency slot channel” in the draft document G.872 v12 (if you do not have access to the document, Eve agreed to share it from ITU-T). As per G872 v12, a Frequency Slot Channel is a topological construct that represents a piece of spectrum supported by a concatenation of media elements (fiber, amplifiers, filters..). ] The frequency slot is defined in the G.694.x series of Recommendations.  G.872 uses the G.694.x definition, note that the frequency slot is only mentioned in a draft of the revised Recommendation that is still under development.

è The frequency slot in G.872 is a contiguous "slice" of the spectrum; (e.g. the L-band) that may be used to carry/contain smaller (contiguous) frequency slots (e.g. an OCh frequency slot). Thus, a frequency slot channel can carry one or more optical channels. Note that the spectrum allocated to transport a single OCh signal is called an OCh Frequency Slot

è NO assumptions on how many (one or more carriers) are used by the OCh signal.

è The “frequency slot channel” DOES NOT refer to the signal, only “raw” spectrum.

è The frequency slot is described in G.694.1 and  is characterized by its center frequency and width.

o   12.5Ghz is frequency slot granularity

o   'n'   is used to determine  center frequency

o   'm' determines the width of the slot

è As mentioned previously, the frequency slot is a contiguous “slice” or “bunch” of spectrum. This DOES NOT mean that we cannot use splitted spectrum in the future. This means that the entity called “frequency slot channel” is formed by a contiguous “bunch” of spectrum (as defined now in the draft G.872 v12). There could be another entity that joins several frequency slots channels. However, such entity is NOT yet defined in ITU-T (it could be in the future, but now, it is not).

è The frequency slot channel is purely transparent. However, we (we as in the group ;-) are not discarding O/E/O. What Eve suggested, is that the work has to be put in a context, defined in a ITU-T network reference model with trail/terminations, considering optical channels i.e. with well-defined interfaces, reference points, and architectures. In such a given context, which corresponds to a transparent segment, those LSPs are constrained to same m and n. The implications of O/E/O will be also addressed once we have another context that includes them.

è  Thus, a “frequency slot channel” LSP in  FlexGrid  has at least 2 attributes  n & m;   where  n & m are same end to end for an “frequency slot channel” LSP (without o/e/o). Malcom mentioned that we need to keep the management of the frequency slots, which are transparent, separate from the management of the signal that is using the frequency slot.

è Waveband is a term used in fixed grid networks.  We will avoid this term in Flexible Grid networks because this term has been used inconsistently before .  We will stay with Frequency Slot channel, as suggested in ITU.

Requirements (to be reworded when we add to new draft):

R1) frequency slot channel LSPs can have different size  'm';  i.e.   There is no constraint to use same  value 'm'  for all LSPs.

R2) Resizing existing frequency slot channel LSP(s) without deletion:  refers to  increase or decrease of slot width value  'm' without changing the value of  'n'

        a.  need clarifications from ITU on

                i. Service affecting or  non-service affecting (hitless)?

                ii.  timing requirement (duration)?

         Note: The modulation change could require resizing the value  'm'  and 'n'

R3) Changing center frequency value 'n'  of an existing frequency slot channel LSP without deletion:

        - Retain  the same width  (m) but shift  center by modifying the value  'n'

        - Clarification from ITU required

R4) Changing both  'n' & 'm'  of existing frequency slot channel LSP(s)  without deletion

        - Allow change of both  center &  width

        - Clarification from ITU required

R5)  Restoration :  allow restoration  use of following options

        - Same  'm'  and 'n'

        - Same 'm' different 'n'

        - Different 'm'  same 'n'

        - Different 'm & 'n'

R6) FlexGrid control plane need to support  Frequency Slot Channel which contains  at least one Och (Optical Channel)

        - Single channel case must not enforce use of WSON CP?

Open Items  (some of these items will be tracked in the Requirement and/or Framework doc):

         - Non-continguous frequency slots: Go to ITU- Q6 to define new entity?

        - WSON has not made separation between  Och and Lambda (spectrum and signal are bundled).

        - Backwards compatibility  between  fixed and flexible  Grid networks: How do we handle the compatibility with WSON?

        - Do we need to have a separate  SwitchingCap  & not overload existing  LSC?

        - use of Modulation format  information  (or even more general, signal information) to place frequency slot channel LSPs in flexGrid networks?

                - Optical layer poses restrictions on use of certain modulation formats adjacent/non-adjacent

                - Signal compatibility aware  routing/signaling support is required to meet the requirement

As you can see, we have started agreeing on the very basics of the data plane issues to be handled in the flexi-grid control plane, and leave new data plane terms and issues for later, once ITU-T starts to consider them with a fair amount of consensus. Also, there are some questions to be sent asked to ITU-T for clarification (Deborah, do you think we can elaborate a list with the doubts to send them formally or we keep on informal discussions?).

Please use this thread in the ccamp mailing list to the continue the Flexi-grid discussions as suggested by Deborah, so there are no misunderstandings and the vision from everybody is taken into account.

We will try to follow Giovanni suggestions regarding the framework of not re-repeating previous frameworks and repeating long ITU-T documents.

Also, as suggested by Daniele and agreed during the flexi-grid meeting, Ramon Casellas will circulate a first version of the framework wording by the end of April with the agreed vision. By that time we will also organized an open conference call to further discuss the framework.

Thanks to all the people interested in moving forward the FlexiGrid work and Best Regards,

                Óscar

Thread of private mails (new ones first, oldest at the bottom):

Hi all FlexGriders,

This morning Ramon and I talked to Deborah about the best way to continue the mail discussions about Flexigrid,  if through a dedicated mailing list, or the ccamp mailing list. She suggested that we should take the discussions to the ccamp mailing list so everybody is aware of what it is being agreed, making the discussions public, avoiding later misunderstandings. Thus, If there is no objections, I will forward the thread of emails to the ccamp mailing list and later discussions will use the ccamp mailing list. Please let me know if someone has any objections.

Best Regards,

Óscar

Hi

Thanks to Malcolm for clarifications.  The response/clarifications from Oscar & Ramon is consistent with what we discussed yesterday.  The ITU  doc G.874.1 mentioned in terminology section below (items #1 & #2) was a typo.  It should be G.694.1.

We will continue email discussions on open items and  gather info/clarifications from ITU for some of the requirements as marked in the minutes.

Thanks
Rajan

All,

Please see in line for some response to the questions.

Also at this stage it is probably better to rely on informal communication with the ITU work - e.g. using people who participate in both IETF and ITU work.  As the work matures we can make the communication more formal.

Key point is the separation of the management of frequency slots from the management of the signals that are carried over the frequency slot.

Regards,
Malcolm

Hi Rajan:
Thanks for summarizing the notes of flexi-grid discussion.

Hi all:
I am not attending the  ietf83th  in Pairs, so i am not able to join the discussion f2f. Please see my comments  below.

Thanks
Yao

We will have separate requirements  and framework documents

Terminology & definitions:

               1) Frequency slot =  m x 12.5 GHz  as in G.874.1 & has following properties/attributes
                                - 12.5Ghz is frequency slot granularity
                                - 'n'    used to determine  center frequency
                                - 'm' which determines the width of the slot
               2) Frequency slot : Definition as in  G.874.1
                                a. May carry one or more optical Channels.   The definition of Optical Channel (Och) is as per G.872
[Yao] I am not following the ITU-T discussion. Do you mean that flexi-grid is introduced in G.874.1.
"Frequency slot May carry one or more optical Channels. " Do you mean split spectrum? Is there any agreement in G.874.1? Please correct me if i misunderstood.
[MB] Frequency slot is defined in the G.694.x series of Recommendations.  G.872 uses the G.694.x definition, note that the frequency slot is only mentioned in a draft of the revised Recommendation that is still under development.  The frequency slot in G.872 is a contiguous "slice" of the spectrum; (e.g. the L-band) that may be used to carry/contain smaller (contiguous) frequency slots (e.g. an OCh frequency slot).  The OCh frequency slot supports a single OCh signal.  NO assumptions on how many (one or more carriers) are used by the OCh signal.  G.874.1 does not (yet) address flex-grid.

               3) FrequencySlotChannel:  defined in G.872 v12(nor sure if this is approved?)
                                a.  this term is used to identify the entity which is made of one or more frequency slots
[Yao] The same doubt as above.
               4) An LSP in  FlexGrid  has at least 2 attributes  n & m;   where  n & m are same end to end for an LSP (without o/e/o)
[Yao] Does this mean that all LSPs must be transparent.
I doubt if this is correct. Does this mean that resource blocks are not permitted in ROADMs and that wavelength convertion and 3R are useless for WSON or SSON. If it is unnecessary to use OEO, we should also revise the current WSON standards.

[MB] We need to keep the management of the frequency slots, which are transparent, separate from the management of the signal that is using the frequency slot.
               5) Waveband:
                                a. Term used in fixed grid networks
                                b. We will avoid this term in Flexible Grid networks because this term has been used inconsistently before .  We will stay with Frequency Slot
[Yao] I prefer b, we should stay with frequency slot.

               6) FrequnecySlotChannel & carriers:
                                a. Can contain one or more carriers Note: It is not constrained to contain  only one carrier
[Yao] I think we are not constrained to use only one carrier. However, it is not a urgent thing. It can be decided in the future.

Requirements (to be reworded when we add to new draft):

R1) LSPs can have different size  'm';  i.e.   There is no constraint to use same  value 'm'  for all LSPs.

[Yao] Agree.
R2) Resizing existing LSP(s) without deletion:  refers to  increase or decrease of slot width value  'm' without changing the value of  'n'
               a.  need clarifications from ITU on
                                i. Service affecting or  non-service affecting (hitless)?
                                ii.  timing requirement (duration)?
                Note: The modulation change could require resizing the value  'm'  and 'n'
[Yao] It is possible for spectrum resizing, but i think we may be ahead of dataplane, we can leave it to ITU-T at first.
The opinions for R3 to R5 are the same as this.

R3) Changing center frequency value 'n'  of an existing LSP without deletion:
               - Retain  the same width  (m) but shift  center by modifying the value  'n'
               - Clarification from ITU required
R4) Changing both  'n' & 'm'  of existing LSP(s)  without deletion
               - Allow change of both  center &  width
               - Clarification from ITU required
R5)  Restoration :  allow restoration  use of following options
               - Same  'm'  and 'n'
               - Same 'm' different 'n'
               - Different 'm'  same 'n'
               - Different 'm & 'n'
R6) FlexGrid control plane need to support  FrequencySlotChannel which contains  at least one Och (Optical Channel)
               - Single channel case must not enforce use of WSON CP

Open Items  (These items will be tracked in the Requirement and/or Framework doc)
               - Can we use FrequencySlotChannel to represent  non-adjacent  frequency slots?  Or do we need a new entity?   Go to ITU- Q6 if no definition.
               - WSON has not made separation between  Och and Lambda.
               - Do we need to have a separate  SwitchingCap  & not overload existing  LSC?
[Yao] I am not opposed to a new switchingCap, left for further discussion.

               - Backwards compatibility  between  fixed and flexible  Grid networks: do we need support WSON?
[Yao] My opinion is we should consider this.
               - use of Modulation format  information  to place LSPs in flexGrid networks
                                - Optical layer poses restrictions on use of certain modulation formats adjacent/non-adjacent
                                - Signal compatibility aware  routing/signaling support is required to meet the requirement
[Yao] not quite understand.

Notes: Although we want to add new features to the flexi-grid network, I thinks we should not be ahead of dataplane. We should also consider the available commercial products(components),the current test platforms,  practical deployment needs, backward compatability and  etc.

Yao, all

Some comments inline, I hope they are useful to clarify your issues.

We will have separate requirements  and framework documents

Terminology & definitions:

                1) Frequency slot =  m x 12.5 GHz  as in G.874.1 & has following properties/attributes
                                 - 12.5Ghz is frequency slot granularity
                                 - 'n'    used to determine  center frequency
                                 - 'm' which determines the width of the slot
                2) Frequency slot : Definition as in  G.874.1
                                 a. May carry one or more optical Channels.   The definition of Optical Channel (Och) is as per G.872
[Yao] I am not following the ITU-T discussion. Do you mean that flexi-grid is introduced in G.874.1.
[Ramon] also consider G.694.1v1.6 and later

"Frequency slot May carry one or more optical Channels. " Do you mean split spectrum? Is there any agreement in G.874.1? Please correct me if i misunderstood.
[Ramon] Split spectrum is not what was meant here. By definition, (we'll try to capture all this in a merged framework document) the work is scoped to a data plane / physical layer entity which is the "frequency slot"the Frequency slot is characterized by m and n, as it results that is also characterized by a start and end frequencies (a frequency range). This is from the point of view of optical spectrum management (as Malcolm mentioned and I agree). On "top" of that, there may be one or more optical channels. The intention was that we are not constraining to single channel/single carrier modulations. If the ITU-T defines a new data plane physical entity which involves one or more "frequency slots" managed as a single entity, it could be incorporated

                3) FrequencySlotChannel:  defined in G.872 v12(nor sure if this is approved?)
                                 a.  this term is used to identify the entity which is made of one or more frequency slots
[Yao] The same doubt as above.
                4) An LSP in  FlexGrid  has at least 2 attributes  n & m;   where  n & m are same end to end for an LSP (without o/e/o)
[Yao] Does this mean that all LSPs must be transparent.
I doubt if this is correct. Does this mean that resource blocks are not permitted in ROADMs and that wavelength convertion and 3R are useless for WSON or SSON. If it is unnecessary to use OEO, we should also revise the current WSON standards.
[Ramon] If I understood correctly, we (we as in the group ;-) are not discarding O/E/O. What Eve suggested, is that the work has to be put in a context, defined in a ITU-T network reference model with trail/terminations, considering optical channels i.e. with well defined interfaces, reference points, and architectures. In such a given context, which corresponds to a transparent segment, those LSPs are constrained to same m and n. The implications of O/E/O will be also addressed once we have another context that includes them.

                5) Waveband:
                                 a. Term used in fixed grid networks
                                 b. We will avoid this term in Flexible Grid networks because this term has been used inconsistently before .  We will stay with Frequency Slot
[Yao] I prefer b, we should stay with frequency slot.
[Ramon] I think this is a point we all agree. Waveband is an "overloaded" term, and in the scope of CP work, it refers to a set of wavelengths defined in the context of fixed-grid networks. So a) and b) are non-exclusive :)

                6) FrequnecySlotChannel & carriers:
                                 a. Can contain one or more carriers Note: It is not constrained to contain  only one carrier
[Yao] I think we are not constrained to use only one carrier. However, it is not a urgent thing. It can be decided in the future.

[Ramon] I also think this is a point where all agreed. We are _not_ constrained to a single carrier, we are considering "at least one", but could be multicarrier. In this sense, by separating optical spectrum management and OCh, we allow a wide range of modulation formats, etc. and those are properties of the OChs.
R.

 Hi, Everyone,

   I am interested in this work. Could please add me in all further discussions? Thanks.

Regards,

Xian

RE:Meeting to merge FlexGrid drafts and moving forward --- Meeting minutes 3/29/12

Hi all,

Thanks Rajan and Oscar for taking the notes. I think Oscar captured some great points.

I CCed my colleague Peter, who is the rapporteur of Q6. If we have any questions about the flexible grid and want to get the correct answer, we can ask him here.

For the discussion't notes, I want to stress that the group agreed anything related to data plane MUST take reference to ITU-T recommendations and IETF control plane MUST not go ahead of ITU-T data plane technologies. So, anything about non-contiguous (or super channel) or resizing should be for open discussion and this information should not be part of the control plane framework document, but we can add some editor notes for open discussion.

Therefore, the following items about (or implying) super-channel or resizing should be open items:

6) FrequnecySlotChannel & carriers: (if this implies non-contiguous spectrum or super channel)

       a. Can contain one or more carriers. Note: It is not constrained to contain  only one carrier

R2) Resizing existing LSP(s) without deletion:  refers to  increase or decrease of slot width value  'm' without changing the value of  'n'

        a.  need clarifications from ITU on

                i. Service affecting or  non-service affecting (hitless)?

                ii.  timing requirement (duration)?

         Note: The modulation change could require resizing the value  'm'  and 'n'

R3) Changing center frequency value 'n'  of an existing LSP without deletion:

        - Retain  the same width  (m) but shift  center by modifying the value  'n'

        - Clarification from ITU required

R4) Changing both  'n' & 'm'  of existing LSP(s)  without deletion

        - Allow change of both  center &  width

        - Clarification from ITU required

Thanks

Fatai

RE: Meeting to merge FlexGrid drafts and moving forward --- Meeting minutes 3/29/12

Thanks Rajan for sending the notes.

  I would also mention the action points.One is to have a conference call in 2 weeks. That would be Thrusday April 12th.(for that let me know your constraints to find the slot). The other is to send the list of requirements to ITU-T for feedback and send a list of doubts/questions for clarification.

In the minutes I would say that we have agreed on the terminology with the ITU-T inputs from G.872 v12. This document can be distributed to all parties that do n ot have access to ITU-T documents.

Instead of saying  Frequency slot =  m x 12.5 GHz -->  Frequency slot width is  m x 12.5 GHz

Remark that we agreed on transparent segments only

Regarding wavebands, we agreed NOT to use the term in flexigrid, and that we would send a question to ITU-T to ask for clarification regarding wavebands.

Regarding the open ppoint "Can we use FrequencySlotChannel to represent  non-adjacent  frequency slots?  " I think we agreed on following the ITU-T definition of  FrequencySlotChannel being formed by everything between two frecuencies. Thus, an entity above composed by several frequency slot channel is a different thing. Is perfectly valid, but needs to be taken to ITU-T and when there is a consensus (no need to be an approved docuement), it can be incorporated in this (or other) framework document.

Also, by now, we have agreed on a frequency slot channel over with one or multiple OCH/carriers are transported. The relation to this OCH/carrier has not yet been decided nor consented and remains an open point. This includes everything related to modulation, physical impairments, regeneration. Everybody recognizes that in the equipment there would be a relation between them.

We all agreed a requirement on Backward compatibility, in the sense that currently deployed WSON/OTN equipment would need to interop with flexigrid enabled ones. The details of what this compatibility means are not yet clear and still need to be discussed. We have an open point here in the compatibility with WSON.

Best Regards,

Óscar

RE: Meeting to merge FlexGrid drafts and moving forward --- Meeting minutes 3/29/12

Hi,

FlexGrid discussions with various authors on 3/29/12 in Paris - IETF83

Here is the notes from our discussion today.   Please review carefully,   include if I missed any.

Thanks

Rajan

--------------------------------------------------------------

We will have separate requirements  and framework documents

Terminology & definitions:

        1) Frequency slot =  m x 12.5 GHz  as in G.874.1 & has following properties/attributes

                - 12.5Ghz is frequency slot granularity

                - 'n'    used to determine  center frequency

                - 'm' which determines the width of the slot

        2) Frequency slot : Definition as in  G.874.1

                a. May carry one or more optical Channels.   The definition of Optical Channel (Och) is as per G.872

        3) FrequencySlotChannel:  defined in G.872 v12(nor sure if this is approved?)

                a.  this term is used to identify the entity which is made of one or more frequency slots

        4) An LSP in  FlexGrid  has at least 2 attributes  n & m;   where  n & m are same end to end for an LSP (without o/e/o)

        5) Waveband:

                a. Term used in fixed grid networks

                b. We will avoid this term in Flexible Grid networks because this term has been used inconsistently before .  We will stay with Frequency Slot

        6) FrequnecySlotChannel & carriers:

                a. Can contain one or more carriers Note: It is not constrained to contain  only one carrier

Requirements (to be reworded when we add to new draft):

R1) LSPs can have different size  'm';  i.e.   There is no constraint to use same  value 'm'  for all LSPs.

R2) Resizing existing LSP(s) without deletion:  refers to  increase or decrease of slot width value  'm' without changing the value of  'n'

        a.  need clarifications from ITU on

                i. Service affecting or  non-service affecting (hitless)?

                ii.  timing requirement (duration)?

         Note: The modulation change could require resizing the value  'm'  and 'n'

R3) Changing center frequency value 'n'  of an existing LSP without deletion:

        - Retain  the same width  (m) but shift  center by modifying the value  'n'

        - Clarification from ITU required

R4) Changing both  'n' & 'm'  of existing LSP(s)  without deletion

        - Allow change of both  center &  width

        - Clarification from ITU required

R5)  Restoration :  allow restoration  use of following options

        - Same  'm'  and 'n'

        - Same 'm' different 'n'

        - Different 'm'  same 'n'

        - Different 'm & 'n'

R6) FlexGrid control plane need to support  FrequencySlotChannel which contains  at least one Och (Optical Channel)

        - Single channel case must not enforce use of WSON CP

Open Items  (These items will be tracked in the Requirement and/or Framework doc)

        - Can we use FrequencySlotChannel to represent  non-adjacent  frequency slots?  Or do we need a new entity?   Go to ITU- Q6 if no definition.

        - WSON has not made separation between  Och and Lambda.

        - Do we need to have a separate  SwitchingCap  & not overload existing  LSC?

        - Backwards compatibility  between  fixed and flexible  Grid networks: do we need support WSON?

        - use of Modulation format  information  to place LSPs in flexGrid networks

                - Optical layer poses restrictions on use of certain modulation formats adjacent/non-adjacent

                - Signal compatibility aware  routing/signaling support is required to meet the requirement

--------------------------------------------------------------------------------------------------------------------------------------------

Hi all,

In orden to proprerly move forward the CCAMP flexigrid work, let's meet today all the people working in the different drafts.

This morning Rajan started to query to meet, so I have extended the proposal to meet to everybody.

The suggested time is around 15:15 at the registration desk.

See you there!!!

Oscar

________________________________

________________________________
Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at
http://www.tid.es/ES/PAGINAS/disclaimer.aspx